#ifndef CAPSERRORS_H
#define CAPSERRORS_H
/*
 *      CAPS: Computational Aircraft Prototype Syntheses
 *
 *             Error Code Header
 *
 *      Copyright 2014-2017, Massachusetts Institute of Technology
 *      Licensed under The GNU Lesser General Public License, version 2.1
 *      See http://www.opensource.org/licenses/lgpl-2.1.php
 *
 */

#define CAPS_SUCCESS         0
#define CAPS_BADRANK      -301
#define CAPS_BADDSETNAME  -302
#define CAPS_NOTFOUND     -303
#define CAPS_BADINDEX     -304
#define CAPS_NOTCHANGED   -305
#define CAPS_BADTYPE      -306
#define CAPS_NULLVALUE    -307
#define CAPS_NULLNAME     -308
#define CAPS_NULLOBJ      -309
#define CAPS_BADOBJECT    -310
#define CAPS_BADVALUE     -311
#define CAPS_PARAMBNDERR  -312
#define CAPS_NOTCONNECT   -313
#define CAPS_NOTPARMTRIC  -314
#define CAPS_READONLYERR  -315
#define CAPS_FIXEDLEN     -316
#define CAPS_BADNAME      -317
#define CAPS_BADMETHOD    -318
#define CAPS_CIRCULARLINK -319
#define CAPS_UNITERR      -320
#define CAPS_NULLBLIND    -321
#define CAPS_SHAPEERR     -322
#define CAPS_LINKERR      -323
#define CAPS_MISMATCH     -324
#define CAPS_NOTPROBLEM   -325
#define CAPS_RANGEERR     -326
#define CAPS_DIRTY        -327
#define CAPS_HIERARCHERR  -328
#define CAPS_STATEERR     -329
#define CAPS_SOURCEERR    -330
#define CAPS_EXISTS       -331
#define CAPS_IOERR        -332
#define CAPS_DIRERR       -333
#define CAPS_NOTIMPLEMENT -334
#define CAPS_EXECERR      -335
#define CAPS_CLEAN        -336
#define CAPS_BADINTENT    -337

#endif
